Upload Inbound Document
post
/obcr-correspondence-services/inboundDocument/upload
This endpoint is used to upload Inbound Document.
Request
Supported Media Types
- application/json
- application/xml
Header Parameters
-
appId(required): string
The application ID of host service.
-
branchCode(required): string
The branch code of requesting branch.
-
contentType: string
The content type of request or response body.
-
userId(required): string
The user ID of requesting user.
Request Body that contains data about the documents to be uploaded
Nested Schema : FileDetailsDto
Type:
Show Source
object-
accountId(required):
string
Account ID associated with the document
-
caseId:
string
Case ID associated with the document
-
documentCategoryCd:
string
Category code of the document
-
documentCategoryDesc:
string
Category description of the document
-
documentNameCd:
string
Name code of the document
-
documentNameDesc(required):
string
Name description of the document
-
remarks:
string
remarks
-
uploadDate:
string
Date on which document was uploaded
Nested Schema : FileTransferDto
Type:
Show Source
object-
fileContent:
string
Content of the file
-
fileName:
string
Name of the file
Response
Supported Media Types
- application/json
- application/xml
200 Response
Returns message of success or failure
Nested Schema : ResponseResourceSupport
Type:
objectNested Schema : items
Type:
object400 Response
Malformed syntax.
401 Response
Request does not have sufficient credentials.
403 Response
Request is not authorized.
405 Response
Invalid input
500 Response
Internal error